Subject: ...need advice on planting blue spruce...

From: [email-masked] (Peggy Brown)
Date: 29 Mar 1995 11:32 EST

We bought 6 blue spruce, about 2' high, last night.  We are 
going to plant them across our backyard.  I'm concerned that
our ground might be too wet.  Our yard is soggy in the spring.
The place where we will plant the spruces is probably the dryest
spot.  There is never any standing water here, but the ground
is a bit soggy from now until late may.  My husband dug the
holes and there now is 1-2" of water in the bottom of each hole.

We have a pine in this same area and it is doing ok.  Will the
spruce be ok?  Anything we should know or do?

Our sideyards are the wettest spot and there we put stream willows
and pussy willows.

Thanks,

- peggy -